#ifndef DEF_MyPoint_h
#define DEF_MyPoint_h
#include "MyVector.h"

class MyPoint : public MyVector
{
 public:
 double u,v;
 MyVector normal;
 MyPoint():MyVector() {u=0;v=0; };
 MyPoint(double a,double b,double c):MyVector(a,b,c) { u=0;v=0; };
 MyPoint& operator=(const MyVector& B) {x=B.x;y=B.y;z=B.z;return *this;};

 friend std::ostream& operator<< ( std::ostream& os,const MyPoint& MV );
 friend std::istream& operator>> ( std::istream& is, MyPoint& MV );
};
#endif

