#ifndef DEF_MyPointCollection_h
#define DEF_MyPointCollection_h

#include "MyPoint.h"
#include <vector>
#include <string>
#include <algorithm>

typedef std::vector<MyPoint>::iterator POINT_ITERATOR ;

class MyPointCollection : public std::vector<MyPoint>
{
public:
  MyPointCollection();
  ~MyPointCollection();
 friend std::ostream& operator<< ( std::ostream& os, MyPointCollection& MP );
 friend std::istream& operator>> ( std::istream& is, MyPointCollection& MP );

};

#endif
