#ifndef DEF_MyTriangle_h
#define DEF_MyTriangle_h
#include "MyPointCollection.h"

class MyTriangle {
 public:
        int O,A,B;
        MyVector OA,OB,N;
        MyPointCollection *mp;

        MyTriangle () {mp=NULL;};
        MyTriangle ( MyPointCollection * MyPoCo)
                   {
                    mp=MyPoCo;
                   };

        MyTriangle ( MyPointCollection * MyPoCo, int v1, int v2, int v3)
                   {
                    mp=MyPoCo; O=v1; A=v2; B=v3;
                    OA=(*mp)[A] - (*mp)[O];
                    OB=(*mp)[B] - (*mp)[O];
                    N = ( OA * OB );
                    N.norm();
                   };

 bool intersec( const MyVector& Start, const MyVector& Dir, MyVector* Ris);

  MyTriangle& operator=(const MyTriangle& T)
              {
                mp=T.mp;
                A=T.A;
                B=T.B;
                O=T.O;
                N=T.N;
                OA=T.OA;
                OB=T.OB;
                return *this;
              };


 friend std::ostream& operator<< ( std::ostream& os,const MyTriangle& MT );
 friend std::istream& operator>> ( std::istream& is, MyTriangle& MT );


};
#endif
