/***************************************************************************
                          camera.cpp  -  description
                             -------------------
    begin                : Wed May 22 2002
    copyright            : (C) 2002 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "camera.h"

using namespace std;

Camera::Camera(){
}
Camera::~Camera(){
}

void Camera::Activate(){
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  gluPerspective(45.0,1.0,0.2,2000.0);
  gluLookAt(p.x,        p.y,        p.z,
            p.x+d.x,	p.y+d.y,	p.z+d.z,
            up.x,       up.y,       up.z      );
  glMatrixMode(GL_MODELVIEW);
  glLoadIdentity();
  

}

void Camera::rotate(double ang){
  d.rotate(ang,up);
}


void Camera::Avanza(double Dist)
{
	p = p + d.norm() * Dist;
}

void Camera::Roll(double Ang)
{
	MyVector r;
	r = d * up;
	r.norm();
	d.rotate(Ang,r);
	up.rotate(Ang,r);
}
