/***************************************************************************
                          myimage.h  -  description
                             -------------------
    begin                : Fri May 18 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYIMAGE_H
#define MYIMAGE_H
#include <string>
#include <iostream>
using namespace std ;

#define MI_CT_RGB 0
#define MI_CT_RGBA 1

class MyImage {
public: 
  MyImage() {data=NULL; X=0;Y=0;data_len=0;};
  MyImage(const char* NomeFile);
  ~MyImage();
  unsigned int data_len;
  unsigned int bpp;
  unsigned int bpc;
  unsigned int channels;
  unsigned char* data;
  unsigned int X,Y;
  unsigned int color_type;
  string Name;
  bool ReadPNG(const char* NomeFile);
  /** No descriptions */
  void Read(const char *NomeFile);
  MyImage& operator=(const MyImage& B)
              {
                X=B.X;Y=B.Y;
                Name=B.Name;
                bpc =B.bpc;
                bpp =B.bpp;
                channels =B.channels;
                color_type=B.color_type;
                data_len=B.data_len;
                if (B.data)
                {
                  data = new unsigned char[data_len];
                  memcpy(this->data,B.data,B.data_len);
                } else {
                  data=NULL;
                };
                return *this;
              };

};

#endif
