/***************************************************************************
                          mymaterialcollection.cpp  -  description
                             -------------------
    begin                : Sat May 19 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mymaterialcollection.h"

using namespace std;


 MyMaterialCollection::MyMaterialCollection():vector<MyMaterial>()
 {
	 activemat = -1;
 };
 MyMaterialCollection::~MyMaterialCollection(){};

ostream& operator<< ( ostream& os, MyMaterialCollection& MP )
{
 MATERIAL_ITERATOR it;
 os << "Materiali: " << MP.size() << "\n";
 for(it = MP.begin(); it != MP.end(); it++)
 {
  os << *it ;
 };
  return os;
};
istream& operator>> ( istream& is, MyMaterialCollection& MP )
{
  
  string s;
  is >> s;
  if (s!="Materiali:")
  {
      cerr << "Error in Material Library: first line is " << s << " not Materiali:\n";
      return is;
   };
  int i,t;
  is >> i;
  for ( t = 0; t<i; t++)
  {
	MyMaterial M;
    is >> M;
    MP.push_back(M);
  };

  return is;
};


int MyMaterialCollection::GetByName(string s)
{
 MATERIAL_ITERATOR it;
 int t=0;
 for(it = begin(); it != end(); it++)
 {
  if (it->name==s) return t;
  t++;
 };
 return -1;
}

