/***************************************************************************
                          myobject.h  -  description
                             -------------------
    begin                : Sun May 20 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYOBJECT_H
#define MYOBJECT_H
#include "myparts.h"
#include "mymaterialcollection.h"
#include <vector>
#include <string>
#include <algorithm>

typedef vector<MyParts>::iterator PARTS_ITERATOR ;


class MyObject:public vector<MyParts> {
public: 
  MyObject();
  ~MyObject();
  string name;
  bool drawable;
  GLuint lista;
 MyPointCollection *mp;
 MyMaterialCollection *mc;
 MyVector P,Momentum,V;
 double Angle;
  /** No descriptions */
  void Draw();
 friend ostream& operator<< ( ostream& os, MyObject& MP );
 friend istream& operator>> ( istream& is, MyObject& MP );

};

ostream& operator<< ( ostream& os, MyObject& MP );
istream& operator>> ( istream& is, MyObject& MP );

#endif
