#include "MyPoint.h"
#include "string"

using namespace std;

ostream& operator<< ( ostream& os,const MyPoint& MV )
{
 os << (MyVector)(MV);
 os << (MyVector)(MV.normal);
 os << "U: " << MV.u << " ";
 os << "V: " << MV.v << "\n";
 return (os);
};

istream& operator>> ( istream& is, MyPoint& MV )
{
 string s;
 MyVector temp;
 is >> temp;
 MV=temp;
 is >> temp;
 MV.normal = temp;
 is >> s;
 if (s.substr(0,2)=="U:")
 {
  is >> MV.u;
 } else {
   cerr << "Errore nel formato di Point per U. ";
   return (is);
 };

 is >> s;
 if (s.substr(0,2)=="V:")
 {
  is >> MV.v;
 } else {
   cerr << "Errore nel formato di Point per V. ";
   return (is);
 };

 return (is);
};
