/***************************************************************************
                          mymaterial.h  -  description
                             -------------------
    begin                : Sat May 19 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYMATERIAL_H
#define MYMATERIAL_H
#include <string>
#include <GL/glut.h>
#include "myimage.h"


class MyMaterial {
public: 
  MyMaterial();
  MyMaterial(const MyMaterial& M);
  ~MyMaterial();
  /** No descriptions */
  void Activate();
  /** No descriptions */
  void setTex(const char *NomeFile);
  /** No descriptions */
  void setAmbient(GLfloat r,GLfloat g,GLfloat b);
  void setDiffuse(GLfloat r,GLfloat g,GLfloat b);
  void setEmission(GLfloat r,GLfloat g,GLfloat b);
  void setSpecular(GLfloat r,GLfloat g,GLfloat b);
  MyMaterial& operator=(const MyMaterial& M);

  string name;
  MyImage *img;
  GLfloat emission[4];
  GLfloat ambient[4];
  GLfloat diffuse[4];
  GLfloat specular[4];
  GLint shininess,mip_level;
  bool twoSided;
  bool enviroment;

 friend ostream& operator<< ( ostream& os,const MyMaterial& MV );
 friend istream& operator>> ( istream& is, MyMaterial& MV );

};

#endif
