/***************************************************************************
                          myparts.cpp  -  description
                             -------------------
    begin                : Sun May 20 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "myparts.h"

using namespace std;

MyParts::MyParts():vector<MyTriangle>(){
  drawable=true;
  material=-1;
}
MyParts::~MyParts(){
}

ostream& operator<< ( ostream& os, MyParts& MP )
{
 TRIANGLE_ITERATOR it;
 string n=MP.name==""?"none":MP.name;
 os << "Name: " << MP.name << "\n";
 os << "Drawable: " << MP.drawable  << "\n";
 os << "Material: " << MP.material  << "\n";
 os << "Triangoli: " << MP.size() << "\n";
 for(it = MP.begin(); it != MP.end(); it++)
 {
  os << *it ;
 };
  return os;
};
istream& operator>> ( istream& is, MyParts& MP )
{
  MyTriangle M;
  M.mp = MP.mp;

  string s;
  is >> s;
  if (s!="Name:")
  {
      cerr << "Error in Parts: found '" << s << "' expected 'Name:'\n";
      return is;
   };
  is >> MP.name;

  is >> s;
  if (s!="Drawable:")
  {
      cerr << "Error in Parts: found '" << s << "' expected 'Drwable:'\n";
      return is;
   };
  is >> MP.drawable;

  is >> s;
  if (s!="Material:")
  {
      cerr << "Error in Parts: found '" << s << "' expected 'Material:'\n";
      return is;
   };
  is >> MP.material;


  is >> s;
  if (s!="Triangoli:")
  {
      cerr << "Error in Parts: first line is " << s << " not Triangoli:\n";
      return is;
   };
  int i,t;
  is >> i;
  for ( t = 0; t<i; t++)
  {
    is >> M;
    MP.push_back(M);
  };

  return is;
};
