/***************************************************************************
                          myparts.h  -  description
                             -------------------
    begin                : Sun May 20 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYPARTS_H
#define MYPARTS_H
#include "MyTriangle.h"
#include <vector>
#include <string>
#include <algorithm>

#define MP_SEC_SOLID 1
#define MP_SEC_BOUND 2
#define MP_SEC_FLUENT 3

typedef std::vector<MyTriangle>::iterator TRIANGLE_ITERATOR ;

class MyParts:public std::vector<MyTriangle> {
public: 
  MyParts();
  ~MyParts();
  std::string name;
  bool drawable;
  int material;
  int type;
  int nextObject;
  MyPointCollection *mp;
 friend std::ostream& operator<< ( std::ostream& os, MyParts& MP );
 friend std::istream& operator>> ( std::istream& is, MyParts& MP );
};

#endif
