/***************************************************************************
                          myscene.h  -  description
                             -------------------
    begin                : Tue May 21 2002
    copyright            : (C) 2002 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYSCENE_H
#define MYSCENE_H

#include "myobject.h"
#include "Camera.h"
#include <vector>
#include <string>
#include <algorithm>

typedef std::vector<MyObject>::iterator OBJECT_ITERATOR ;

class MyScene : public std::vector<MyObject>  {
public:
	int GetByName(string s);
  void Draw();
  void InitGL();
  MyPointCollection Points;
  MyMaterialCollection Materials;
  Camera Cam;
  MyScene();
  ~MyScene();
  GLfloat Bg_Color[4];
  bool FOGENABLED;
 string name;
 friend std::ostream& operator<< ( std::ostream& os, MyScene& MP );
 friend std::istream& operator>> ( std::istream& is, MyScene& MP );
};

std::ostream& operator<< ( std::ostream& os, MyScene& MP );
std::istream& operator>> ( std::istream& is, MyScene& MP );

#endif
